<a routerLink="/admin/products/create" mat-mini-fab aria-label="Example icon-button with a heart icon">
    <mat-icon>add</mat-icon>
</a>

<div>
    <table mat-table [dataSource]="products" class="mat-elevation-z8 w-100" style="width: 100%;">
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> ID </th>
            <td mat-cell *matCellDef="let product"> {{ product.id }} </td>
        </ng-container>

        <ng-container matColumnDef="title">
            <th mat-header-cell *matHeaderCellDef> title </th>
            <td mat-cell *matCellDef="let product"> {{ product.title }} </td>
        </ng-container>

        <ng-container matColumnDef="precio">
            <th mat-header-cell *matHeaderCellDef> precio </th>
            <td mat-cell *matCellDef="let product"> {{ product.price }} </td>
        </ng-container>

        <ng-container matColumnDef="actions">
            <th mat-header-cell *matHeaderCellDef> actions </th>
            <td mat-cell *matCellDef="let product">
                <button mat-raised-button color="primary"
                    [routerLink]="['/admin/products/edit', product.id]">Editar</button>
                <button mat-raised-button color="warn" (click)="deleteProduct(product.id)">Eliminar</button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
</div>